Switch to full style
Post a reply

Sat Feb 25, 2012 9:46 am

Any news about patch?

Tue Mar 13, 2012 12:50 pm

Is there any news about a patch or a new official navcore version?
Is there another way to update the maps for us navcore 9.844 users?

Tue Mar 13, 2012 1:35 pm

It seems to be impossible to crack the encryption on the BL and image file for the installation.
Without the correct hash codes the patched NC won't be installed.
Since it is not possible to generate the original TT DCT codes for a map, patching a NC ist the only option.
I'm afraid that it will take a long time until someone is able to crack the encryption, 1024 bit is not easy...

Wed Mar 28, 2012 9:44 am

If it's impossible to crack the encryption today, maybe it is possible to load an old Navcore ...
... not using the sdCard
... but accessing directely the memory by the Usb port (if exists).

You will find bellow a thread about tomtom console desassembled :
[Please Register or Login to download file]

Does someone know where to find the 4 pins of the USB port ?

Downunder35m : it seems that i can't create a new thread, could you move this one if you think an "USB subject" should be more appropriate ? Thanks

Wed Mar 28, 2012 12:20 pm

Hello. i've read all pages, upset with "progress" .. i have a friend in renault. he is sales director. so, i can use any car computer any sd availabale in his office.. may be i can be useful? may be there are any ways to connect to internal memory by the use of original renault equipment? p.s. it is russia, so they have carminats with russian mapset and .mct licese..

Wed Mar 28, 2012 9:51 pm

@arnaud: since it is suitable for the Carminat problem I think the posting is good here.
Since the link is in French and I don't relly like translating several pages with Google I was not able use the info in there.
I know you can (in theory) access the device with a simulated ethernet connection like Home does but apart from basic terminal functions noone managed anything useful with it, yet.
The only proper way would be to create a tool or driver that can give true read/write acces to the modifed Linux system.
This involves monitoring the connects from Home, logging all transfers and to decypher the codes used.
1024bit codes are not easy to hack...

@ghost-slt: all maps on SD cards that come with a .mct license are locked to a specific SD CID, so they only work on that SD and not on a copy.
Maps with a .DCT file are locked to a specific device and can be used on a backup SD.
I don't think a normal dealer will have tools to access the internal memory with full read/write access, but if he does it will be helpful to know.

Updated post1 with some info that might help the more experienced user.

Thu Mar 29, 2012 7:16 pm

Other link :
[Please Register or Login to download file]
The goals of theses boths (this one and the last one) topics are "how to connect a rear camera" and not "how to path the tomtom".

Regards

Wed Apr 04, 2012 6:26 pm

As this clear_flash??? [Please Register or Login to download file]

Thu Apr 05, 2012 7:22 am

hello
that's an idea to get some informations from the "car" where is the program, but I have made a copy of my original card after put A NEW SD card in the car, and after I made a backup of the original SD CARD and I made a recover on the new SD card and all is good , now I keep the original at home and in the car I just have the copy with the bacup of original map on original sd card and a new map I bought on the TT vendor site.
maybe that could help!
Good luck for the job...:confused:

Sat Apr 07, 2012 5:56 pm

Left click the +

Spoiler: Show
open ttsystem.ib found 4 files]

check_ttsystem.file
#!/bin/sh

TTSYSTEM="/mnt/sdcard/ttsystem"

while [ $# -gt 0 ]
do
case "$1" in
-f)
TTSYSTEM=$2
shift
;;
*)
;;
esac
shift
done

if [ ! -f "$TTSYSTEM" ]
then
echo "*** $0: file \"$TTSYSTEM\" does not exists"
exit 1
fi

if ! tar xOf $TTSYSTEM 2>/dev/null > /dev/null
then
echo ttsystem is not complete...
exit 1
fi

if ! tar xOf $TTSYSTEM MANIFEST 2>/dev/null > /dev/null
then
echo ttsystem is missing a manifest...
exit 1
fi

exit 0



check_version.file
#!/bin/sh

TTSYSTEM="/mnt/sdcard/ttsystem"
FS="rootfs"

while [ $# -gt 0 ]
do
case "$1" in
-f)
TTSYSTEM=$2
shift
;;
-b)
FS=$2
shift
;;
*)
;;
esac
shift
done

if test ! -f "$TTSYSTEM"
then
echo "**WARN: $0: file \"$TTSYSTEM\" does not exists"
exit 1
fi

#copy the MANIFEST content to /tmp/update/MANIFEST
rm -rf /tmp/update
mkdir -p /tmp/update
tar xOf $TTSYSTEM MANIFEST 2>/dev/null > /tmp/update/MANIFEST
if [ $? -ne 0 ]
then
echo "**WARN: Failed to extract the MANIFEST from the file $TTSYSTEM"
exit 1
fi

#run version_compare tool
version_compare $FS

if [ $? -eq 0 ]
then
echo "**INFO: continue update process"
exit 0
else
echo "**INFO: aborting update process"
exit 1
fi



ttsystem_present.file
#!/bin/sh

directory="/mnt/movi"

set_directory() {
if [ "$1" != "" ]; then
if [ -d $1 ]; then
directory=$1
else
/bin/logger -s "$0: WARN! Directory $1 not found."
fi
fi
/bin/logger -s "$0: using directory $directory"
}

move_product_ttsystem() {
productExtension="`fdtquery /features/device-serial | cut -c 1-2 | tr A-Z a-z`"
productFile="$directory/ttsystem.$productExtension"

if [ -e $productFile ]; then
/bin/logger -s "$0: Found $productFile"

if [ -e $ttsystemFile ]; then
/bin/logger -s "$0: Removing $ttsystemFile"
rm -f $ttsystemFile
fi

/bin/logger -s "$0: Syncing..."
sync

/bin/logger -s "$0: Moving $productFile to $ttsystemFile"
mv -f $productFile $ttsystemFile

/bin/logger -s "$0: Syncing..."
sync
fi
}

set_directory $1
ttsystemFile="$directory/ttsystem"
move_product_ttsystem

if [ -e $ttsystemFile ]; then
/bin/logger -s "$0: Found $ttsystemFile"
exit 0
fi

/bin/logger -s "$0: No $ttsystemFile found"
exit 1


system_state.file
#/bin/sh
#
# get the TomTom system state AKA 'runlevel'
#
if [ "$1" = "-g" ]
then
state=$(/sbin/initctl status | grep 'state' | grep -v 'not' | sed 's, .*,,g' )
while [ -z $state ]; do
echo "system_state: WAITING to get state..." >&2
sleep 1
state=$(/sbin/initctl status | grep 'state' | grep -v 'not' | sed 's, .*,,g' )
done
echo $state
else
echo $0 is a TomTom specific tool to get the current state >&2
echo >&2
echo " usage: $0 -g" >&2
fi

Sat Apr 21, 2012 11:40 am

hi all! Any news about the 9.844? thx:D

Sun Apr 22, 2012 9:40 pm

Hi all of you

sorry for maybe bad english... i'm french

as i understand, when you buy a new map using TTHOME, you receive a zip file with some files for activation.
One of this file is indeed to go into internal memory for the activation and is auto deleted after first put in the car.
I think it is the same way as the .CAB file on a Pocket PC, but in this case, it runs on LINUX and not on windows mobile....

I think also it could be ONLY a .dct activation when you buy on TTHOME because some users report that they have made an install of new map on a BACKUP SD... so the CID of the SD is different of the original SD coming with the car when is bought.

So, any high specialist of linux couldn't find the way this "special" activation file is "injected" in the internal memory ?
I think the steps are : on the inserting of the SD after decompress the map you bought on TTHOME, this activation file is recognized as an "update file, so it is first injected in internal memory. After this, the combination of this file + meta + pna is creating the .dct file for the new map... that's why this .dct could not be created with fastactivate because this KG miss a part of the activation on Carminat LIVE

Hope it helps .... :think:

Good job until now..... all ideas will help !

GREG
(Carminat Live navcore 9.844 - Benelux map)

Fri Apr 27, 2012 3:13 pm

can anyone help me with the file for the patched 9.844 (9.845) file? i've been trying to download for days now but still not able...

Fri Apr 27, 2012 3:25 pm

No need as patching and map activation won't work - you have to stick to the original anyway.

Wed May 02, 2012 6:32 pm

i will not use it for patching of map activation. I would like to try if I would be able , when using the patched 9.845 version, to get tomplayer ([Please Register or Login to download file] ) up and running on my new renault. It looks like tomtom blocks any non-signed third party from booting (which tomplayer needs to be able to startup) and I am curious if this would not be the case using the patched version.
Post a reply